Subject: Re: bug#43100: 28.0.50; pcase not binding variables conditionally

From: Philipp Stephani <[email-masked]>
Date: Sat, 29 Aug 2020 14:01:45 +0200

Am Sa., 29. Aug. 2020 um 11:42 Uhr schrieb Pip Cet <[email-masked]>:
>
> I'm having trouble with pcase's behavior.
>
> (pcase "a"
>   ((or (pred symbolp) name)
>    (let ((foo 'bar)) name)))
>
> throws an error. It shouldn't.

Isn't this case documented in the manual? The last section of
https://www.gnu.org/software/emacs/manual/html_node/elisp/pcase-Macro.html
states:
"It makes no sense for each sub-pattern [in an `or' sequence] to
let-bind a different set of symbols because the body forms have no way
to distinguish which sub-pattern matched and choose among the
different sets."